be.fgov.ehealth.technicalconnector.signature.resolvers

## Class DocumentResolver

- java.lang.Object
- - org.apache.xml.security.utils.resolver.ResourceResolverSpi
  - - be.fgov.ehealth.technicalconnector.signature.resolvers.DocumentResolver

-     public class DocumentResolver
      extends org.apache.xml.security.utils.resolver.ResourceResolverSpi

  Custom resolver used by xmlsec to resolve a nested document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentResolver(Document doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `engineCanResolveURI(org.apache.xml.security.utils.resolver.ResourceResolverContext context)`
    `org.apache.xml.security.signature.XMLSignatureInput` | `engineResolveURI(org.apache.xml.security.utils.resolver.ResourceResolverContext context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentResolver

          public DocumentResolver(Document doc)

  - ### Method Detail

    - #### engineCanResolveURI

          public boolean engineCanResolveURI(org.apache.xml.security.utils.resolver.ResourceResolverContext context)

      Specified by:
        `engineCanResolveURI` in class `org.apache.xml.security.utils.resolver.ResourceResolverSpi`

    - #### engineResolveURI

          public org.apache.xml.security.signature.XMLSignatureInput engineResolveURI(org.apache.xml.security.utils.resolver.ResourceResolverContext context)
                                                                               throws org.apache.xml.security.utils.resolver.ResourceResolverException

      Specified by:
        `engineResolveURI` in class `org.apache.xml.security.utils.resolver.ResourceResolverSpi`
      Throws:
        `org.apache.xml.security.utils.resolver.ResourceResolverException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.